OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000908OMNeT++simulation kernelpublic2015-10-12 10:052017-01-11 20:08
Reporterammmar1988 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0b1 
Target VersionFixed in Version5.0rc 
Summary0000908: cenvir.h misses csimulation.h
Descriptioncenvir.h misses csimulation.h include, though using ev macro defined in cenvir.h will result in error as long as csimulation.h is not included.

I guess this was not intended.
Additional Informationresolution:
add #include "csimulation.h" to cenvir.h
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001114)
andras (administrator)
2015-03-12 20:10

Why is this important? For simulation models, only <omnetpp.h> is public API, individual headers should be considered internal, and never be included directly.

BTW it's not so easy to fix, e.g. the suggested >>add #include "csimulation.h" to cenvir.h<< leads to compile error. Many headers contain inline methods (for performance reasons) that refer to classes in other headers, and this creates dependencies across headers that are difficult to resolve.
(0001182)
andras (administrator)
2016-03-16 10:23

The "ev" macro is has been eliminated.

- Issue History
Date Modified Username Field Change
2015-10-12 10:05 ammmar1988 New Issue
2015-10-12 10:05 ammmar1988 Issue generated from: 0000856
2016-03-16 10:23 andras Note Added: 0001182
2016-03-16 10:23 andras Status new => resolved
2016-03-16 10:23 andras Fixed in Version => 5.0rc
2016-03-16 10:23 andras Resolution open => fixed
2016-03-16 10:23 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker